package com.hdkj.lt.mq.service.plan;

import com.hdkj.lt.modle.dto.plan.PlanCreateSwitchDTO;
import com.hdkj.lt.mq.entity.dto.AcceptPlanPowerCutDTO;
import com.hdkj.lt.mq.entity.dto.AcceptPlanPowerCutListDTO;

import java.util.List;

public interface AcceptPlanPowerCutService {

    Boolean acceptPlanPowerCut(AcceptPlanPowerCutDTO acceptPlanPowerCutDTO);

    Boolean acceptPlanPowerCutLocal(AcceptPlanPowerCutDTO acceptPlanPowerCutDTO);

    boolean acceptPlanPowerCutList(AcceptPlanPowerCutListDTO dto);

    String autoTaskCreatePlan(AcceptPlanPowerCutListDTO dto);

    boolean reTryPlanPowerCutList(AcceptPlanPowerCutListDTO dto);

    boolean createPlanPowerCut(PlanCreateSwitchDTO planCreateSwitchDTO);
}
